#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace de.WWWings.MitarbeiterSystem
{

 /// <summary>
 /// Diese Klasse repräsentiert einen Pilot, der ein Flugzeug fliegen darf.
 /// </summary>
 [Serializable()]
 public class Pilot : Mitarbeiter, de.WWWings.Fluggesellschaft.IPilot
 {
  [System.CLSCompliant(false)] public long _Flugstunden;
  private DateTime _FlugscheinSeit;

  public DateTime FlugscheinSeit
  {
   get
   {
    return _FlugscheinSeit;
   }
  }

  private string _FlugscheinTyp;
  public string FlugscheinTyp
  {
   get
   {
    return _FlugscheinTyp;
   }

   set
   {
    _FlugscheinTyp = value;
   }
  }


  public long Flugstunden
  {
   get
   {
    return this._Flugstunden;
   }
   set
   {
    this._Flugstunden = value;
   }
  }

  public Pilot(): base()
  {

  }

  private string fluglehrer;

  public string Fluglehrer
  {
   get { return fluglehrer; }
   set { fluglehrer = value; }
  }

  public Pilot(string Name, string Vorname): base(Name,Vorname)
  {

  }

  public void FlugZuweisen(de.WWWings.Flug Flug)
  {
   //Flug.Pilot = this;
  }
 }
}
